{
        template: '${tmpl}',
                data: function() {
                        return {
                                id: null,
                                mobilecenter: '',
                                code:-1,
                                msg:""
                        }
                },
        mounted() {
           var hash = window.location.hash;
           console.log(hash);
           var arr = hash.split("?");
           if(arr.length==2){
                var paramstring = arr[1];
                if(paramstring.indexOf("code=1")>=0){
                        this.code=1;
                }else{
                        console.log("code不为1");
                        var reg = new RegExp("(^|&)msg=([^&]*)(&|$)"); 
                        var r = window.location.hash.substr(1).match(reg);
                        if (r != null){
                           this.msg = decodeURIComponent(r[2]);   
                        }
                        console.log(this.msg);
                }
           }
        },
        created() {
                this.id = Number(this.$route.query.id);
                if (!this.id) {
                        this.mobilecenter = 'mobilecenter';
                }
        },
        computed: {

        },
        watch: {

        },
        methods: {
                goSubmitSuccess(){

                },
                /*
                getLoginUser : function (){
                  var self =this;
                  this.$root.postReq("/web/userCtl/loginUser",{}).then(function(d){
                    if(d.status==0){
                      self.loginUser = d.data;
                    }
                  });
                }
                */
        },
        vname: "gsb-mobilewxauthoback"
}
